<template>
    <order-page
        ref="pageRef"
        :pageConfig="pageConfig"
        permissionKey="waitIntercept"
    />
</template>

<script setup>
    import { ref, reactive } from 'vue';
    import OrderPage from '@/views/recycleOrder/components/order-page-all.vue';

    defineOptions({ name: 'RecycleOrderawaitIntercept' });

    /** 页面组件实例 */
    const pageRef = ref(null);

    const pageConfig = reactive({
        pageUrl: '/order/orderInfo/waitInterceptList',
        fileName: '拦截退回订单',
        cacheKey: 'awaitInterceptTable'
    });
</script>
